org.tmatesoft.svn.core.auth

## Class SVNSSLAuthentication

- java.lang.Object
- - org.tmatesoft.svn.core.auth.SVNAuthentication
  - - org.tmatesoft.svn.core.auth.SVNSSLAuthentication

-     public class SVNSSLAuthentication
      extends SVNAuthentication

  The SVNSSLAuthentication class represents user's credentials used to authenticate a user in secure connections. Used along with the `SSL` credential kind.
  Since:
    1.2
  Version:
    1.3
  Author:
    TMate Software Ltd.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `MSCAPI`
    `static java.lang.String` | `SSL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SVNSSLAuthentication(java.io.File certFile, java.lang.String password, boolean storageAllowed)` Deprecated. Use {@link #newInstance(File, char[], boolean, SVNURL, boolean) method
    `SVNSSLAuthentication(java.io.File certFile, java.lang.String password, boolean storageAllowed, SVNURL url, boolean isPartial)` Deprecated. Use {@link #newInstance(File, char[], boolean, SVNURL, boolean) method
    `SVNSSLAuthentication(java.lang.String sslKind, java.lang.String alias, boolean storageAllowed, SVNURL url, boolean isPartial)` Deprecated. Use `newInstance(String, String, boolean, SVNURL, boolean)` method

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `SVNAuthentication` | `copy()` Creates a deep copy of this credentials object.
    `void` | `dismissSensitiveData()` Disposes sensitive data (e.g. password) stored in this object.
    `java.lang.String` | `getAlias()` Only used for MSCAPI
    `byte[]` | `getCertificate()` Returns certificate raw data
    `java.io.File` | `getCertificateFile()` Returns a user's certificate file.
    `java.lang.String` | `getCertificatePath()`
    `java.lang.String` | `getPassword()` Deprecated. Use `getPasswordValue()` method
    `char[]` | `getPasswordValue()` Returns password.
    `java.lang.String` | `getSSLKind()`
    `static boolean` | `isCertificatePath(java.lang.String path)`
    `static SVNSSLAuthentication` | `newInstance(byte[] cert, char[] password, boolean storageAllowed, SVNURL url, boolean isPartial)`
    `static SVNSSLAuthentication` | `newInstance(java.io.File certFile, char[] password, boolean storageAllowed, SVNURL url, boolean isPartial)`
    `static SVNSSLAuthentication` | `newInstance(java.lang.String kind, java.lang.String alias, boolean storageAllowed, SVNURL url, boolean isPartial)`
    `void` | `setCertificatePath(java.lang.String path)`

    - ### Methods inherited from class org.tmatesoft.svn.core.auth.SVNAuthentication

      `copyOf, getKind, getURL, getUserName, isPartial, isStorageAllowed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MSCAPI

          public static final java.lang.String MSCAPI

      See Also:
        Constant Field Values

    - #### SSL

          public static final java.lang.String SSL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SVNSSLAuthentication

          public SVNSSLAuthentication(java.io.File certFile,
                                      java.lang.String password,
                                      boolean storageAllowed)

      Deprecated. Use {@link #newInstance(File, char[], boolean, SVNURL, boolean) method

    - #### SVNSSLAuthentication

          public SVNSSLAuthentication(java.io.File certFile,
                                      java.lang.String password,
                                      boolean storageAllowed,
                                      SVNURL url,
                                      boolean isPartial)

      Deprecated. Use {@link #newInstance(File, char[], boolean, SVNURL, boolean) method

    - #### SVNSSLAuthentication

          public SVNSSLAuthentication(java.lang.String sslKind,
                                      java.lang.String alias,
                                      boolean storageAllowed,
                                      SVNURL url,
                                      boolean isPartial)

      Deprecated. Use `newInstance(String, String, boolean, SVNURL, boolean)` method

  - ### Method Detail

    - #### newInstance

          public static SVNSSLAuthentication newInstance(java.io.File certFile,
                                                         char[] password,
                                                         boolean storageAllowed,
                                                         SVNURL url,
                                                         boolean isPartial)

      Parameters:
        `certFile` - user's certificate file
        `password` - user's password
        `storageAllowed` - to store or not this credential in a credentials cache
        `url` - url these credentials are applied to
        `isPartial` -
      Returns:
        authentication object

    - #### newInstance

          public static SVNSSLAuthentication newInstance(byte[] cert,
                                                         char[] password,
                                                         boolean storageAllowed,
                                                         SVNURL url,
                                                         boolean isPartial)

      Parameters:
        `cert` - user's certificate
        `password` - user's password
        `storageAllowed` - to store or not this credential in a credentials cache
        `url` - url these credentials are applied to
        `isPartial` -
      Returns:
        authentication object

    - #### newInstance

          public static SVNSSLAuthentication newInstance(java.lang.String kind,
                                                         java.lang.String alias,
                                                         boolean storageAllowed,
                                                         SVNURL url,
                                                         boolean isPartial)

      Parameters:
        `kind` - authentication kind (`MSCAPI` or `SSL`
        `alias` - alias
        `storageAllowed` - to store or not this credential in a credentials cache
        `url` - url these credentials are applied to
        `isPartial` -
      Returns:
        authentication object

    - #### getPassword

          public java.lang.String getPassword()

      Deprecated. Use `getPasswordValue()` method
      Returns password.
      Returns:
        password

    - #### getCertificate

          public byte[] getCertificate()

      Returns certificate raw data
      Returns:
        certificate data

    - #### getPasswordValue

          public char[] getPasswordValue()

      Returns password.
      Returns:
        password
      Since:
        1.8.9

    - #### getCertificateFile

          public java.io.File getCertificateFile()

      Returns a user's certificate file.
      Returns:
        certificate file

    - #### getSSLKind

          public java.lang.String getSSLKind()

    - #### getAlias

          public java.lang.String getAlias()

      Only used for MSCAPI

    - #### getCertificatePath

          public java.lang.String getCertificatePath()

    - #### setCertificatePath

          public void setCertificatePath(java.lang.String path)

    - #### isCertificatePath

          public static boolean isCertificatePath(java.lang.String path)

    - #### dismissSensitiveData

          public void dismissSensitiveData()

      Description copied from class: `SVNAuthentication`
      Disposes sensitive data (e.g. password) stored in this object.
      Overrides:
        `dismissSensitiveData` in class `SVNAuthentication`

    - #### copy

          public SVNAuthentication copy()

      Description copied from class: `SVNAuthentication`
      Creates a deep copy of this credentials object. Sensitive data (e.g. password) is copied too.
      Overrides:
        `copy` in class `SVNAuthentication`
      Returns:
        copy of this object.